BlitzReels
BlitzReelsDocumentation
API Reference
PATCH
/projects/{projectId}/captions/{captionId}

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string
captionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/projects/string/captions/string" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{  "success": true,  "caption": {    "caption_id": "string",    "timeline_item_id": "string",    "project_id": "string",    "text": "string",    "start_units": 0,    "end_units": 0,    "start_seconds": 0,    "end_seconds": 0,    "words": [      {        "id": "string",        "word": "string",        "order_index": 0,        "start_units": 0,        "end_units": 0,        "start_seconds": 0,        "end_seconds": 0,        "paragraph_index": 0,        "is_emphasis": true,        "style": {          "offsetX": 0,          "offsetY": 0,          "rotationDeg": 0,          "scale": 0,          "fontFamily": "string",          "fontWeight": "string",          "color": "string",          "activeColor": "string",          "backgroundColor": "string",          "activeAnimation": "none",          "fontStyle": "normal",          "textTransform": "none",          "letterSpacing": 0,          "opacity": 0,          "textStrokeColor": "string",          "textStrokeWidthPx": 0,          "textStrokeBlurPx": 0,          "textShadow": "string",          "glowColor": "string",          "glowBlurPx": 0,          "textGradientFrom": "string",          "textGradientTo": "string",          "textGradientAngleDeg": 0,          "backgroundRadiusPx": 0,          "emojiName": "string",          "emojiScale": "1",          "isSpecial": true,          "isKeyword": true        }      }    ]  },  "updated_words": 0,  "inserted_words": 0,  "deleted_words": 0,  "message": "string"}